<?php
/*********************************************
Desciption: Configuration
File: /gestao/includes/configuracao.default.php
Project: Kompras.Net
Developers: João Vieira
Start Date: 2009/03/13
*********************************************/

define("infoVersao", "0.906");
define("infoUrl", "http://www.basikus.net");
define("infoUrlImg", "http://www.basikus.net/logo.bsk.main.jpg");
define("systemSiteBName", 'Basikus.Net');

//tratamento de erros
set_error_handler("customError", E_ALL);
function customError($errno, $errstr, $errfile, $errline) { 
    if ( (stripos($errfile, "chave.ph") === false) ){
        print "<p><small><b>ERRO no Kompras.Net</b> [" . $errno . "] " . $errstr . "<br />\n";
        print "  Linha " . $errline . " em " . $errfile;
        #print ", PHP " . PHP_VERSION . " (" . PHP_OS . ")<br />\n";
        #print "Abortando...<br /></small></p>\n";
        print "</small></p>\n";
    }
}

//função de debug local
function dbg($txt, $logf = false, $varf = false) {
    if ($logf) {
        $fp         = fopen('error_log', "a");
        $ToWrite    = "\n(*)=========================================================" . Date('Ymd H:i:s') . "==========";      
        $ToWrite    .= "\n" . $txt;
        if ($varf) {
            foreach ($_GET as $k => $v) {
                $ToWrite    .= "GET   $k = $v\n";
            }
            foreach ($_POST as $k => $v) {
                $ToWrite    .= "POST   $k = $v\n";
            }
            foreach ($_COOKIE as $k => $v) {
                $ToWrite    .= "COOKIE   $k = $v\n";
            }
            foreach ($_REQUEST as $k => $v) {
                $ToWrite    .= "REQUEST   $k = $v\n";
            }
            foreach ($_SERVER as $k => $v) {
                $ToWrite    .= "SERVER   $k = $v\n";
            } 
        }
        fwrite($fp, $ToWrite);
        fclose($fp);
    }else print "<p style=\"background-color:white;\"><font color=black>|<b>" . $txt . "</b>|</font></p>";
}


//inicialização de classe de base de dados
include($_SERVER['DOCUMENT_ROOT'] . "/bsk/includes/classe.bd.php");

//inicialização de sessões
session_start();

include($_SERVER['DOCUMENT_ROOT'] . "/bsk/includes/configuracao.local.php");

//saida da aplicação
if ($_SERVER['QUERY_STRING'] == 'sair') {
    $_SESSION['sair'] = 'true';
    header("Location: /bsk/");
}


/**** VARIÁVEIS GERAIS *****/

//definição de variáveis de sistema


$impressaodigital   = md5(			
                            $pwdWord . 
                            $_SERVER['HTTP_USER_AGENT'] . 
                            session_id()
);

//para mostrar erros
$errorsResult       = "";

//definição de variáveis necessárias que não existem em php-cli
##if (isset($_SERVER['DOCUMENT_ROOT']) && !isset($_SERVER['PHP_AUTH_USER'])) exit();

/* ********* PARA SITE PAGINAS PUBLICAS
$errorsResult       = "";

//impressão digital para segurança da sessão
if (!isset($_SESSION['sessao_impressaodigital'])) {
    $_SESSION['sessao_impressaodigital']    = $impressaodigital;
}
//sessões de suporte ao utilizador da sessão
if (!isset($_SESSION['sessao_user_id'])) $_SESSION['sessao_user_id']        = 0;
if (!isset($_SESSION['sessao_user_nome'])) $_SESSION['sessao_user_nome']    = "";
if (!isset($_SESSION['sessao_user_email'])) $_SESSION['sessao_user_email']  = "";

*/

//variável de conexão à base de dados
$connectDb = New BD_BasikusNet(DbHost, DbUser, DbPassword, DbName, 0);

//variável de página corrente
$strPagina = '';

/**** /VARIÁVEIS GERAIS *****/

//inicialização de língua escolhida
$usrLng             = ""; 
if ( $usrLng == "" ) $usrLng = "pt";
include($_SERVER['DOCUMENT_ROOT'] . "/bsk/includes/lang." . $usrLng . ".php");
//tratamento de logout
if (isset($_SESSION['sair'])) {
    print $bngToLoginAgain;
    exit();
}


?>